Subject: bug#22478: closed (Re: bug#22478: 25.1.50; tramp error: Wrong method specification for ‘scp’)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Sep 2016 07:43:02 +0000

Your bug report

#22478: 25.1.50; tramp error: Wrong method specification for ‘scp’

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22478: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22478
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22478: 25.1.50; tramp error: Wrong method specification for‘scp’
From: Michael Albinus <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Sep 2016 09:42:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.2

> I've tried this, but couldn't provoke the other error you've
> reported. Is there a chance that podval breaks, again? Otherwise, I
> don't see what I could do else.

Given, that the initial bug has been resolved in Tramp, and that the
other problem won't be reproducible since the remote machine has been
fixed meanwhile, I'm closing the bug. Feel free to reopen if you have
more evidences on the other problem.

Best regards, Michael.

Subject: 25.1.50; tramp error: Wrong method specification for‘scp’
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jan 2016 14:23:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 25.1.50.14 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2016-01-24 built on sdsGazPro
Repository revision: 6d25cbeaaf93615b8d7f26024ba014104eb5d4f2
Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
System Description:	Ubuntu 15.10

I get this error:

Debugger entered--Lisp error: (file-error #("Wrong method specification for ‘scp’" 32 35 (tramp-default t)))
  signal(file-error (#("Wrong method specification for ‘scp’" 32 35 (tramp-default t))))
  tramp-sh-handle-file-local-copy(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  apply(tramp-sh-handle-file-local-copy #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  tramp-sh-file-name-handler(file-local-copy #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  apply(tramp-sh-file-name-handler file-local-copy #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  tramp-file-name-handler(file-local-copy #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  file-local-copy(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  tramp-handle-insert-file-contents(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) nil nil nil nil)
  apply(tramp-handle-insert-file-contents (#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) nil nil nil nil))
  tramp-sh-file-name-handler(insert-file-contents #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) nil nil nil nil)
  apply(tramp-sh-file-name-handler insert-file-contents (#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) nil nil nil nil))
  tramp-file-name-handler(insert-file-contents #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) nil nil nil nil)
  insert-file-contents(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) nil nil nil nil)
  insert-file-contents-literally(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))
  tramp-do-copy-or-rename-file-via-buffer(copy #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t)
  tramp-do-copy-or-rename-file(copy #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t t nil nil)
  tramp-sh-handle-copy-file(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t t nil nil)
  apply(tramp-sh-handle-copy-file (#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t t nil nil))
  tramp-sh-file-name-handler(copy-file #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t t nil nil)
  apply(tramp-sh-file-name-handler copy-file (#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t t nil nil))
  tramp-file-name-handler(copy-file #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)) "/home/sds/.newsrc" t t nil nil)
  copy-file("/podval:~/.newsrc" "~/.newsrc" t t)
  sds-mirror("/podval:~/.newsrc" "~/.newsrc")
  sds-pull-gnus-startup()
  run-hooks(gnus-before-startup-hook)
  apply(run-hooks gnus-before-startup-hook)
  gnus-run-hooks(gnus-before-startup-hook)
  gnus-1(nil nil nil)
  gnus(nil)
  gnus-other-frame(nil)
  funcall-interactively(gnus-other-frame nil)
  call-interactively(gnus-other-frame nil nil)
  command-execute(gnus-other-frame)

I am confused because this worked before, and I can "ssh podval" from
the shell (podval is mentioned in ssh/config).

in tramp-sh-handle-file-local-copy:

v ==> [#("scp" 0 3 (tramp-default t)) nil "podval" "/home/sds/.newsrc" nil]
filename ==> #("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t))
size ==> nil
rem-enc ==> nil
loc-dec ==> nil

Configured features:
XAW3D XPM JPEG TIFF GIF PNG SOUND DBUS NOTIFY GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS LUCID X11

Important settings:
  value of $LANG: C
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  diff-auto-refine-mode: t
  rcirc-track-minor-mode: t
  which-function-mode: t
  url-handler-mode: t
  show-paren-mode: t
  desktop-save-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t

Recent messages:
Type "q" in help window to delete it.
#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t))
t
#("/scp:podval:/mnt/data/home/sds/.newsrc" 1 4 (tramp-default t))
nil
"/tmp/tramp.2643LXO"
Mark saved where search started
nil [2 times]

funcall-interactively: Beginning of buffer
previous-line: Beginning of buffer

Load-path shadows:
/home/sds/src/emacs/trunk/lisp/textmodes/ispell hides /usr/share/emacs/site-lisp/dictionaries-common/ispell
/home/sds/src/emacs/trunk/lisp/textmodes/flyspell hides /usr/share/emacs/site-lisp/dictionaries-common/flyspell

Features:
(shadow sort bbdb-message mailalias cookie1 mail-extr gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-sum gnus-group gnus-undo
emacsbug sendmail cl-indent eieio-opt speedbar sb-image ezimage dframe
gnus-start gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc
nnoo parse-time gnus-spec gnus-int gnus-range gnus-win skeleton pulse
etags xref project smerge-mode dabbrev log-edit time-stamp
character-fold misearch multi-isearch add-log log-view pcvs-util
remember image-mode message rfc822 mml mml-sec epg mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums gmm-utils
mailheader cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine conf-mode make-mode view tramp-cache sgml-mode sh-script smie
anaconda-mode pythonic f s dash url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap python-x
folding-isearch folding python tramp-sh tramp tramp-compat
tramp-loaddefs trampver ucs-normalize json vc-hg vc-dir vc vc-dispatcher
vc-git diff-mode easy-mmode flyspell ispell tex-mode dired-aux map
finder-inf package epg-config dired dired-loaddefs warnings midnight
gnus gnus-ems nnheader mail-utils wid-edit bbdb-mua bbdb-com crm
mailabbrev bbdb-loaddefs bbdb bbdb-site timezone rcirc server which-func
imenu url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs gnus-util mm-util help-fns mail-prsvr password-cache
url-vars paren help-at-pt desktop frameset cus-start cus-load ido seq
byte-opt bytecomp byte-compile cconv cl-extra help-mode ess-toolbar
ess-mouse mouseme thingatpt browse-url ess-menu ess-swv ess-noweb
ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d ess-sas-l
ess-sas-a shell pcomplete ess-sta-d ess-sta-l cc-vars cc-defs
make-regexp ess-sp6-d ess-sp3-d ess-julia julia-mode ert pp find-func
ewoc debug ess-r-d ess-r-syntax ess-r-completion ess-tracebug
format-spec ess-roxy advice hideshow ess-help ess-developer ess-s-l ess
ess-inf compile comint ansi-color ring ess-mode ess-noweb-mode ess-utils
ess-custom executable easymenu ess-compat ess-site cl gv cl-loaddefs
pcase cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 665953 42862)
 (symbols 48 71324 0)
 (miscs 40 6784 72)
 (strings 32 215315 26144)
 (string-bytes 1 5085119)
 (vectors 16 80087)
 (vector-slots 8 1244406 10934)
 (floats 8 647 1044)
 (intervals 56 14751 0)
 (buffers 976 90)
 (heap 1024 68805 1560))

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 15.10 (wily) X 11.0.11702000
http://www.childpsy.net/ http://islamexposedonline.com http://ffii.org
http://jihadwatch.org http://honestreporting.com http://memri.org
Warning! Dates in calendar are closer than they appear!